local inDebugMode = true;

function load()
	-- Hook Script up to when an when an item's information is added to a tooltip
	GameTooltip:HookScript("OnTooltipSetItem", ToolTipOnTooltipSetItem)
end

-- CreateEvent when OnTooltipSetItem Update
function ToolTipOnTooltipSetItem(tooltip, ...)
  	local _, link = tooltip:GetItem()
  	if link then
		local _, _, _, itemLevel, _, itemType, _, _, _, _, _ = GetItemInfo(link)

		if itemType == "Armor" or itemType == "Weapon" or itemType == "Projectile" then
		    local left = _G["GameTooltipTextLeft" .. 2]
		    local leftTextColour = left:GetTextColor()

			left:SetText("|cffffd100Item Level: "..itemLevel.."|r\n" .. left:GetText())
			tooltip:Show()
		end
	end
end

-- Possibly useful in the future for reconstructing GameToolip
--[=====[
function RedrawToolTip(tooltip) 

	local nextLeft
	local nextRight
	local numLines = tooltip:NumLines()

	for i = 1, numLines - 2 do
	    nextLeft = _G["GameTooltipTextLeft" .. i + 1]:GetText()
	    nextRight = _G["GameTooltipTextRight" .. i + 1]:GetText()
	    local currentLeft = _G["GameTooltipTextLeft" .. i]:GetText()
	    local currentRight  = _G["GameTooltipTextRight" .. i]:GetText()

	    _G["GameTooltipTextLeft" .. i + 1]:SetText(currentLeft)
	    _G["GameTooltipTextRight" .. i + 1]:SetText(currentRight)
	end

	--tooltip:AddLine(' ')
	--tooltip["GameTooltipTextLeft" .. numLines + 1]:SetText(nextLeft)
    --tooltip["GameTooltipTextRight" .. numLines + 1]:SetText(nextRight)
end 
--]=====]